


ptoFunctions = {};

ptoFunctions.modDir = g_currentModDirectory;
ptoFunctions.currentModName = g_currentModName;

function ptoFunctions.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations) and SpecializationUtil.hasSpecialization(PowerConsumer, specializations) and SpecializationUtil.hasSpecialization(Attachable, specializations); 
end;

function ptoFunctions.registerEventListeners(vehicleType)
	for _, spec in pairs({"onLoad", "onUpdate"}) do
		SpecializationUtil.registerEventListener(vehicleType, spec, ptoFunctions)
	end
end

function ptoFunctions:onLoad(savegame)

	self.ptoVisual = I3DUtil.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.ptoFunctions.indications#ptoicon"), self.i3dMappings);
	
end;

function ptoFunctions:onUpdate(dt)

	local UseGUI = true;
	if g_client and UseGUI then			
		setVisibility(self.ptoVisual, false);
	   
		if self.getAttachedImplements ~= nil then
			for _, implement in pairs(self:getAttachedImplements()) do
				local object = implement.object
				if object:getDoConsumePtoPower() ~= nil then
					if object:getDoConsumePtoPower() then 
						setVisibility(self.ptoVisual, true);
						self:playAnimation("pto_hebel", 1, self:getAnimationTime("pto_hebel"), true);
					else
						setVisibility(self.ptoVisual, false);
						self:playAnimation("pto_hebel", -1, self:getAnimationTime("pto_hebel"), true);
					end;
				end;
			end;
		end;
	end;
							   
end